List all jobs
import requests
url = "https://{FUSION_HOST}/job-config/jobs"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/job-config/jobs")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}/job-config/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/job-config/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/job-config/jobs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/job-config/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION_HOST}/job-config/jobs[
{
"resource": "task:delete-old-system-metrics",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-14T04:26:00.035Z",
"lastEndTime": "2025-12-14T04:26:00.139Z",
"nextStartTime": "2025-12-21T04:26:00.000Z"
},
{
"resource": "spark:index_synthetic_data",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-18T19:00:00.112Z",
"lastEndTime": "2025-12-18T19:01:02.975Z",
"nextStartTime": "2025-12-18T22:00:00.000Z"
},
{
"resource": "datasource:en_webv2",
"enabled": true,
"status": "success",
"lastStartTime": "2025-12-18T05:00:05.269Z",
"lastEndTime": "2025-12-18T05:04:12.263Z",
"nextStartTime": "2025-12-19T05:00:00.000Z"
}
]List all jobs
List all configured Spark jobs, optionally filtering by status, type, context, or whether the job is enabled.
GET
/
job-config
/
jobs
List all jobs
import requests
url = "https://{FUSION_HOST}/job-config/jobs"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/job-config/jobs")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}/job-config/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/job-config/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/job-config/jobs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/job-config/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Query Parameters
Filter jobs by status, one of: ready, running, success, aborted, or failed.
Filter jobs by whether they are enabled (true) or disabled (false).
Filter jobs by type, one of: task, spark, or datasource.
The app to which a job belongs, formatted as app:APP_NAME.
Was this page helpful?
⌘I